cs_stats_conv Struct Reference

## Public Types

enum | { STAT_PG , STAT_SRP , STAT_KNET , STAT_KNET_HANDLE , STAT_IPCSC , STAT_IPCSG , STAT_SCHEDMISS }

## Data Fields

enum cs_stats_conv:: { ... } | type
const char * | name
const size_t | offset
const icmap_value_types_t | value_type

## Detailed Description

Definition at line 75 of file stats.c.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
STAT_PG |
STAT_SRP |
STAT_KNET |
STAT_KNET_HANDLE |
STAT_IPCSC |
STAT_IPCSG |
STAT_SCHEDMISS |

Definition at line 76 of file stats.c.

## Field Documentation

## name

const char* cs_stats_conv::name

Definition at line 77 of file stats.c.

## offset

const size_t cs_stats_conv::offset

Definition at line 78 of file stats.c.

##

enum { ... } cs_stats_conv::type

Referenced by stats_map_get().

## value_type

const icmap_value_types_t cs_stats_conv::value_type

Definition at line 79 of file stats.c.

The documentation for this struct was generated from the following file:

- stats.c